Package io.milvus.param.dml

## Class InsertParam

- java.lang.Object
- - io.milvus.param.dml.InsertParam

- Direct Known Subclasses:
    `UpsertParam`

      public class InsertParam
      extends java.lang.Object

  Parameters for `insert` interface.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `InsertParam.Builder` | Builder for `InsertParam` class.
    `static class` | `InsertParam.Field` | Internal class for insert data.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `collectionName` |
    `protected java.lang.String` | `databaseName` |
    `protected java.util.List<InsertParam.Field>` | `fields` |
    `protected java.lang.String` | `partitionName` |
    `protected int` | `rowCount` |
    `protected java.util.List<com.alibaba.fastjson.JSONObject>` | `rows` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `InsertParam​(@NonNull InsertParam.Builder builder)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static InsertParam.Builder` | `newBuilder()` |
    `java.lang.String` | `toString()` | Constructs a `String` by `InsertParam` instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### fields

          protected final java.util.List<InsertParam.Field> fields

    - #### rows

          protected final java.util.List<com.alibaba.fastjson.JSONObject> rows

    - #### databaseName

          protected final java.lang.String databaseName

    - #### collectionName

          protected final java.lang.String collectionName

    - #### partitionName

          protected final java.lang.String partitionName

    - #### rowCount

          protected final int rowCount

  - ### Constructor Detail

    - #### InsertParam

          protected InsertParam​(@NonNull
                                @NonNull InsertParam.Builder builder)

  - ### Method Detail

    - #### newBuilder

          public static InsertParam.Builder newBuilder()

    - #### toString

          public java.lang.String toString()

      Constructs a `String` by `InsertParam` instance.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        `String`